Results 1 to 2 of 2

Thread: Slow graphics

  1. #1

    Cool Slow graphics

    I can't get the desktop effects or 3d games to work properly, it's slow and buggy. I'm using openSUSE 11.2 64-bit. I have an ATI x1250 integrated graphics card and I have tried to install the graphic driver from the ATI website but I get the error:

    which: no XFree86 in (/home/andreas/bin:/usr/local/bin:/usr/bin:/sbin:/usr/sbin:/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/games:/usr/lib64/jvm/jre/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin)

    Error: ./default_policy.sh does not support version
    default:v2:x86_64:lib::none:2.6.31.12-0.2-desktop; make sure that the version is being
    correctly set by --iscurrentdistro

    Removing temporary directory: fglrx-install.QQDHNP


    Earlier I had Ubuntu 9.10 installed on my computer and then all the 3d graphics and compiz effects worked perfectly without installing any drivers myself. Though I tried to install the ATI driver from the website and it also worked just fine...

    Is it possible that this has something to do with GNOME and KDE? I think I have some kind of open source radeon driver installed currently but is it set up properly or what do you think is the problem?

    I like openSUSE but if I can't fix this I might consider to move back to ubuntu...

    thanks

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,587
    Blog Entries
    38

    Default Re: Slow graphics

    BikerTux, my understanding is the ATI x1250 is considered a legacy graphic card, and hence for the 2.6.31 kernel in both openSUSE-11.2 and in Ubuntu-9.10 it is NOT supported by the proprietary ATI fglrx driver.

    Go here:
    ATI Catalyst„ Proprietary Display Driver

    Note this driver addresses: ATI Radeon X1250 Series

    and then note the 'fine print' "
    The Linux ATI Catalyst™ driver will only be supported in Linux distributions prior to February 2009 for the legacy products listed above.
    However it is supported by the open source radeon or radeonhd driver (one of those two) and I suspect that is what Ubuntu-9.10 is using.

    There is a problem with openSUSE-11.2 that the radeon and radeonhd drivers as packaged (with an older Mesa version) were buggy, and there is an update available in the xorg : x11 repository that fixes that problem, after which 3D/special desktop effects are available.

    Please take a look here: openSUSE Graphic Card Practical Theory Guide for Users - openSUSE Forums

    In that guide, in particular, please first read post#1 so that you understand the basic theory, and then read post#11 so that you understand what is needed to fix. If you are still puzzled please post here so someone can help.

    Now, putting a moderator hat on for a second, I'm sorry to read of the frustration that you are experiencing, and I appreciate it is incredibly annoying not to have a functionality that you know should be there. But IMHO statements like "if I can't fix this I might consider to move back to ubuntu" while honest and true from the heart, do not help. Its best just to keep that inside and just move if and when the unfortunate and undesireable time comes. All one does by posting such a frustration is risk bringing the trolls out of the wood work by such comments.

    Anyway, good luck. Again, sorry to read of your difficulty and frustration. I hope the link I provided with the associated explanation helps. And if you have trouble with the above please advise, and we will do our best to help.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •